<template>
	<view class="lightbg">
		<img class="logo" src="https://ikea-mrm.woaap.com/images/paint/logo.png" alt="" />
		<img class="getxunz" src="https://ikea-mrm.woaap.com/images/music/getxunz.png" alt="" />
		<img @click="goRank" class="phb" src="https://ikea-mrm.woaap.com/images/music/phb.png" alt="" />
		<img @click="goUserinfo" class="wdxz" src="https://ikea-mrm.woaap.com/images/music/wdxz.png" alt="" />
		<img class="lighttip" src="https://ikea-mrm.woaap.com/images/music/lighttip.png" alt="" />
		<view class="progressBox">
			<view class="t1">爱心传递</view>
			<view class="t2">{{ progress }}</view>
			<view class="t3">/10000</view>
			<view class="progress">
				<view class="bar" :style="{ width: percent + '%' }"></view>
			</view>
		</view>
		<view class="btngroup">
			<button class="btn share" open-type="share" @click="share"></button>
			<button class="btn  more" @click="golist"></button>
		</view>
		<view class="popup" v-if="isshowpop">

			<img @click="isshowpop = false" class="close" src="https://ikea-mrm.woaap.com/images/music/close.png" />
			<view class="name">亲爱的{{ userInfo.nickName }}:</view>
			<img class="popbg" src="https://ikea-mrm.woaap.com/images/music/lpop.png" />
			<img class="lpoptext" src="https://ikea-mrm.woaap.com/images/music/lpoptext.png" />
			<img @click="okay" class="btn" src="https://ikea-mrm.woaap.com/images/music/accept.png" />

		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				progress: 0,
				percent: 0,
				userInfo: getApp().globalData.userInfo,
				uid: getApp().globalData.uid,
				isshowpop: true
			}
		},
		onShow() {
			getApp().td_app_sdk.event({
				id: '/music/light',
				label: 'pv'
			});
		},
		onShareAppMessage: function(res) {
			return {
				title: '谱写小曲 音乐让夏日更美',
				path: 'pages/index/index',
				imageUrl: 'https://ikea-mrm.woaap.com/images/share/share_index.png'
			};
		},
		onLoad(option) {
			this.progress = option.nownum;
			this.percent = (this.progress / 10000) * 100;
			console.log(this.percent);
		},
		methods: {

			okay() {
				this.isshowpop = false;
				getApp().td_app_sdk.event({
					id: 'music开心收下',
					label: 'click'
				});
			},
			golist() {
				getApp().td_app_sdk.event({
					id: 'music参与更多',
					label: 'click'
				});
				wx.reLaunch({
					url: '/pages/list/list'
				});
			},
			share() {
				getApp().td_app_sdk.event({
					id: 'music爱心接力',
					label: 'click'
				});
			},
			goRank() {
				getApp().td_app_sdk.event({
					id: 'music全国玩家排行榜',
					label: 'click'
				});
				uni.navigateTo({
					url: '/pages/mask/rank'
				});
			},
			goUserinfo() {
				getApp().td_app_sdk.event({
					id: 'music我的勋章',
					label: 'click'
				});
				wx.request({
					url: getApp().globalData.baseUrl + 'api/access.php?a=userinfo',
					method: 'POST',
					header: {
						'content-type': 'application/x-www-form-urlencoded' //自定义请求头信息
					},
					data: {
						uid: getApp().globalData.uid
					},
					success: res => {
						console.log(res.data.data);
						wx.setStorageSync('gameInfo', res.data.data);
						uni.navigateTo({
							url: '/pages/userinfo/userinfo2'
						});
					}
				});
			},
		}
	}
</script>

<style lang="less" scoped>
	.lightbg {
		width: 750rpx;
		height: 1624rpx;
		background: url(https://ikea-mrm.woaap.com/images/music/lightbg.jpg);
		background-size: 100% 100%;
		position: absolute;
		top: 50%;
		transform: translate(0, -50%);

		.logo {
			position: absolute;
			width: 683rpx;
			height: 87rpx;
			top: 230rpx;
			left: 50%;
			transform: translate(-50%, 0);
			z-index: 9;
		}

		.phb {
			width: 202rpx;
			height: 46rpx;
			position: absolute;
			top: 407rpx;
			right: 0;
			z-index: 2;
		}

		.getxunz {
			width: 750rpx;
			height: 774rpx;
			position: absolute;
			top: 60rpx;
		}

		.wdxz {
			width: 282rpx;
			height: 71rpx;
			position: absolute;
			left: 50%;
			transform: translate(-50%, 0);
			top: 768rpx;
			z-index: 2;
		}

		.lighttip {
			width: 624rpx;
			height: 206rpx;
			position: absolute;
			left: 50%;
			transform: translate(-50%, 0);
			top: 955rpx;
		}

		.progressBox {
			width: 620rpx;
			height: 65rpx;
			position: absolute;
			top: 1190rpx;
			left: 50%;
			transform: translate(-50%, 0);
			display: flex;
			align-items: flex-end;
			justify-content: space-between;

			.t1,
			.t2,
			.t3 {
				position: absolute;
				bottom: 40rpx;
				font-family: '黑体';
				line-height: 22rpx;
				color: #333333;
			}

			.t1 {
				left: 10rpx;
				font-size: 24rpx;
				font-weight: bolder;
			}

			.t2 {
				right: 78rpx;
				font-size: 24rpx;
			}

			.t3 {
				right: 10rpx;
				font-size: 20rpx;
				font-weight: bolder;
			}

			.progress {
				width: 620rpx;
				height: 22rpx;
				background: #fbf9fa;
				border-radius: 30rpx;
				position: relative;
				overflow: hidden;

				// border-bottom: 2rpx solid #d4d4d4;
				.bar {
					position: absolute;
					top: 0;
					left: 0;
					height: 100%;
					// width: 20%;
					background: #f39733;
					border-bottom: 2rpx solid #f39733;
					border-radius: 30rpx;
				}
			}
		}

		.btngroup {
			width: 100%;
			height: 97rpx;
			position: absolute;
			top: 1267rpx;
			box-sizing: border-box;
			padding: 0 30rpx;
			display: flex;
			flex-direction: row;
			justify-content: space-between;

			.btn {
				width: 270rpx;
				height: 97rpx;
				background: none;
			}

			.share {
				background-image: url(https://ikea-mrm.woaap.com/images/music/axjl.png);
				background-size: 100% 100%;
			}

			.more {
				background-image: url(https://ikea-mrm.woaap.com/images/music/cygd.png);
				background-size: 100% 100%;
			}

			.btn::after {
				border: none !important;
			}
		}
	}

	.popup {
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		background: rgba(0, 0, 0, 0.65);

		z-index: 999;

		.name {
			width: 640rpx;
			text-align: center;
			position: absolute;
			left: 50%;
			transform: translate(-50%,0);
			top: 810rpx;
			font-size: 28rpx;
			font-family: '黑体';
			font-weight: bold;
			color: #333333;
			z-index: 2;
		}

		.close {
			position: absolute;
			top: 360rpx;
			right: 60rpx;
			width: 33rpx;
			height: 33rpx;
			z-index: 1;
		}

		.popbg {
			width: 638rpx;
			height: 650rpx;
			position: absolute;
			top: 427rpx;
			left: 50%;
			transform: translate(-50%, 0);
		}
		
		.lpoptext{
			width: 539rpx;
			height: 108rpx;
			position: absolute;
			top: 878rpx;
			left: 50%;
			transform: translate(-50%, 0);
		}

		.btn {
			width: 383rpx;
			height: 97rpx;
			position: absolute;
			top: 1185rpx;
			left: 50%;
			transform: translate(-50%, 0);
		}

	}
</style>
